function [ny,s]=get_scalar(dmm)
%  return scalar data in array s
%  dmm is the nozzle diameter (mm)
%  r/d returned as s(:,1,:)
names = [0 0 18 14 38 12 58 34 11 0]';
nx = size(names,1);

s = zeros(15,19,nx);
ny = zeros(nx,1);

for k=1:nx
    if names(k)==0
        ny(k)=0;
    else
        a = load(['he0x' num2str(names(k)) '.fav']);
        a(:,1) = a(:,1) ./dmm;  %  r/d
        ny(k) = size(a,1);
        s(1:ny(k),:,k) = a;
        clear a
    end
end